X2Go Bug report logs - #412
imake issues

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Fri, 24 Jan 2014 21:05:02 UTC

Severity: normal

Tags: pending

Found in version 3.5.0.22

Fixed in version 2:3.5.0.23

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#412; Package nx-libs. (Fri, 24 Jan 2014 21:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 24 Jan 2014 21:05:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: imake issues
Date: Fri, 24 Jan 2014 14:01:02 -0700
[Message part 1 (text/plain, inline)]
Package: nx-libs
Version: 3.5.0.22

The imake in 3.5.0.22 does not compile in current Fedora rawhide due to the
use of -Werror=format-security:

make[4]: Entering directory
`/builddir/build/BUILD/nx-libs-3.5.0.22/nx-X11/config/imake'
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
-grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
-march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard    -I../../include
-I../../exports/include/X11  -I../.. -I../../exports/include   -Dlinux
-D__arm__ -D__arm32__ -U__arm -Uarm -D_POSIX_C_SOURCE=199309L 			
-D_POSIX_SOURCE -D_XOPEN_SOURCE 				-D_BSD_SOURCE -D_SVID_SOURCE
                   -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 				
-D_GNU_SOURCE 				  -DFUNCPROTO=15 -DNARROWPROTO     -DCPP_PROGRAM="\"cpp\""
-DHAS_MERGE_CONSTANTS=`if gcc -fmerge-constants -xc /dev/null -S -o /dev/null
2> /dev/null 1> /dev/null; then echo 1; else echo 0; fi` 	  -DMONOLITH   -c -o
imake.o imake.c
imake.c: In function 'get_libc_version':
imake.c:1018:5: error: format not a string literal and no format arguments
[-Werror=format-security]
     fprintf (inFile, command);
     ^
imake.c: In function 'get_ld_version':
imake.c:1135:5: warning: ignoring return value of 'fscanf', declared with
attribute warn_unused_result [-Wunused-result]
     (void) fscanf (ldprog, "%d.%d", &ldmajor, &ldminor);
     ^
imake.c: In function 'ReadLine':
imake.c:1998:12: warning: ignoring return value of 'ftruncate', declared with
attribute warn_unused_result [-Wunused-result]
   ftruncate(fileno(tmpfd), (off_t) 0);
            ^
cc1: some warnings being treated as errors
make[4]: *** [imake.o] Error 1

Ideally, I would like to avoid building a local imake altogether and just use
the system imake, but I have been unable to figure out how to do that yet.

In the meantime, I'm patching imake.c as attached to bring it up to the
version that is in Fedora Rawhide.


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com
[nx-libs-imake.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#412; Package nx-libs. (Tue, 28 Jan 2014 18:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 28 Jan 2014 18:45:02 GMT) (full text, mbox, link).


Message #10 received at 412@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 412-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 412@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Tue, 28 Jan 2014 19:41:39 +0100 (CET)
tag #412 pending
fixed #412 2:3.5.0.23
thanks

Hello,

X2Go issue #412 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=fc91d4d

The issue will most likely be fixed in src:nx-libs (2:3.5.0.23).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit fc91d4d04074935602aeb3eb5f2cc785fc813c82
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Jan 28 19:41:15 2014 +0100

    Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS of imake on current Fedora rawhide (21) which uses the compiler option -Werror=format-security for all builds. (Fixes: #412).

diff --git a/debian/changelog b/debian/changelog
index e3bde88..8b1a782 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,9 @@ nx-libs (2:3.5.0.23-0x2go1) UNRELEASED; urgency=low
   [ Orion Poplawski ]
   * Add patch: 054_nx-X11_ppc64-ftbfs.full.patch. Fix FTBFS on ppc64
     architecture. (Fixes: #411).
+  * Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS
+    of imake on current Fedora rawhide (21) which uses the compiler option
+    -Werror=format-security for all builds. (Fixes: #412).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 04 Jan 2014 22:02:16 +0100
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 Jan 2014 18:45:02 GMT) (full text, mbox, link).


Marked as fixed in versions 2:3.5.0.23. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 28 Jan 2014 18:45:02 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#412. (Tue, 28 Jan 2014 18:45:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#412; Package nx-libs. (Tue, 06 May 2014 16:10:04 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 16:10:04 GMT) (full text, mbox, link).


Message #22 received at 412@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 412-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 412@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Tue, 6 May 2014 18:07:37 +0200 (CEST)
close #412
thanks

Hello,

we are very hopeful that X2Go issue #412 reported by you
has been resolved in the new release (2:3.5.0.23) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.23)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=fdeaafb5e2f4520857ca4757261df79d233e05cb;hp=626b5dbae6b7b432d573f88abc8e3e8ae2bdba85

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.23-0x2go1
Status: RELEASE
Date: Tue, 06 May 2014 18:05:47 +0200
Fixes: 393 411 412 423
Changes: 
 nx-libs (2:3.5.0.23-0x2go1) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * Add patch: 054_nx-X11_ppc64-ftbfs.full.patch. Fix FTBFS on ppc64
     architecture. (Fixes: #411).
   * Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS
     of imake on current Fedora rawhide (21) which uses the compiler option
     -Werror=format-security for all builds. (Fixes: #412).
   * Add patch: 056_nx-X11-Werror-format-security.patch. Fix more
     -Werror=format-security errors that only show up on ARM builds. (Fixes:
     #423).
   * nx-libs.spec:
     - Sync nx-libs.spec in Fedora with upstream's nx-libs.spec file. (Fixes:
       #393).
 .
   [ Mike Gabriel ]
   * debian/control:
     + Build our imake against x11proto-core-dev headers.
   * nx-libs.spec:
     + Build our imake against xorg-x11-proto-devel.
 .
   [ Oleksandr Shneyder ]
   * Add patch: 205_nxagent_refresh-adsl.full.patch. Fix refresh error on RDP
     connections to Windows 2012 if speed=ADSL.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#412; Package nx-libs. (Tue, 06 May 2014 16:10:05 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 16:10:05 GMT) (full text, mbox, link).


Message #27 received at 412@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 412-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 412@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Tue, 6 May 2014 18:07:35 +0200 (CEST)
close #412
thanks

Hello,

we are very hopeful that X2Go issue #412 reported by you
has been resolved in the new release (2:3.5.0.23) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.23)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=4f56401ad0df9cf6380910418e283267a04bbf2e;hp=626b5dbae6b7b432d573f88abc8e3e8ae2bdba85

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.23-0x2go1
Status: RELEASE
Date: Tue, 06 May 2014 18:05:47 +0200
Fixes: 393 411 412 423
Changes: 
 nx-libs (2:3.5.0.23-0x2go1) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * Add patch: 054_nx-X11_ppc64-ftbfs.full.patch. Fix FTBFS on ppc64
     architecture. (Fixes: #411).
   * Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS
     of imake on current Fedora rawhide (21) which uses the compiler option
     -Werror=format-security for all builds. (Fixes: #412).
   * Add patch: 056_nx-X11-Werror-format-security.patch. Fix more
     -Werror=format-security errors that only show up on ARM builds. (Fixes:
     #423).
   * nx-libs.spec:
     - Sync nx-libs.spec in Fedora with upstream's nx-libs.spec file. (Fixes:
       #393).
 .
   [ Mike Gabriel ]
   * debian/control:
     + Build our imake against x11proto-core-dev headers.
   * nx-libs.spec:
     + Build our imake against xorg-x11-proto-devel.
 .
   [ Oleksandr Shneyder ]
   * Add patch: 205_nxagent_refresh-adsl.full.patch. Fix refresh error on RDP
     connections to Windows 2012 if speed=ADSL.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 06 May 2014 16:10:06 GMT) (full text, mbox, link).


Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Tue, 06 May 2014 16:10:07 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#412. (Tue, 06 May 2014 16:10:11 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#412. (Tue, 06 May 2014 16:10:12 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 04 Jun 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Sep 17 08:31:02 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.